## elog 2.6.3+r1764

=== elog/Makefile ===
--- 
+++ 
@@ -34,15 +34,12 @@
 BINOWNER = bin
 BINGROUP = bin
 
-INSTALL = /usr/bin/install
+INSTALL = `which install`
 RM = /bin/rm -f
 
 OSTYPE = $(shell uname)
 
-# -lutil needed for forkpty()
-LIBS += -lutil
-
-ifeq ($(OSTYPE),solaris)
+ifeq ($(OSTYPE),SunOS)
 CC = gcc
 LIBS += -lsocket -lnsl
 CFLAGS =
@@ -64,6 +61,10 @@
 CC = gcc
 BINOWNER = root
 BINGROUP = wheel
+endif
+
+ifeq ($(OSTYPE),Linux)
+CC = gcc
 endif
 
 CFLAGS += -DOS_$(OSTYPE)
@@ -93,11 +94,18 @@
 		indent $(IFLAGS) $$src; \
 	done
 
+ifeq ($(OSTYPE),CYGWIN_NT-5.1)
+loc: locext.exe
+	for lang in resources/eloglang*; do \
+	  ./locext.exe src/elogd.c $$lang; echo locext src/elogd.c $$lang;\
+	done
+else
 locext: src/locext.c
 loc: locext
 	@for lang in resources/eloglang*; do \
 	  ./locext src/elogd.c $$lang; echo locext src/elogd.c $$lang;\
 	done
+endif
 
 update: $(EXECS)
 	@$(INSTALL) -v -m 0755 -o ${BINOWNER} -g ${BINGROUP} elogd $(SDESTDIR)
@@ -120,19 +128,19 @@
 	@$(INSTALL) -m 0644 themes/default/icons/* $(ELOGDIR)/themes/default/icons/
 	@for file in `find themes/default -type f | grep -v .svn` ; \
           do \
-          install -D -m 0644 $$file $(ELOGDIR)/themes/default/`basename $$file` ;\
+          $(INSTALL) -D -m 0644 $$file $(ELOGDIR)/themes/default/`basename $$file` ;\
           done
 
 	@echo "Installing example logbook to $(ELOGDIR)/logbooks/demo"	
 	@if [ ! -f $(ELOGDIR)/logbooks/demo ]; then  \
-	  install -v -m 0644 logbooks/demo/* $(ELOGDIR)/logbooks/demo ; \
+	  $(INSTALL) -v -m 0644 logbooks/demo/* $(ELOGDIR)/logbooks/demo ; \
 	fi
 
 	@sed "s#\@PREFIX\@#$(PREFIX)#g" elogd.init_template > elogd.init
 	@$(INSTALL) -v -D -m 0755 elogd.init $(RCDIR)/elogd
 
 	@if [ ! -f $(ELOGDIR)/elogd.cfg ]; then  \
-	  install -v -m 644 elogd.cfg $(ELOGDIR)/elogd.cfg ; \
+	  $(INSTALL) -v -m 644 elogd.cfg $(ELOGDIR)/elogd.cfg ; \
 	fi
 
 restart:
