=== debian/changelog ===
elog (2.9.2+2014.05.11git44800a7-2+deb8u2) jessie; urgency=medium

  * update patch 0005_elogd_CVE-2016-6342_fix to grant access
    to logbooks also as normal login user (Closes: #851909)

 -- Roger Kalt <roger.kalt@gmail.com>  Thu, 19 Jan 2017 22:45:52 +0100

elog (2.9.2+2014.05.11git44800a7-2+deb8u1) jessie; urgency=medium

  * Added patch 0005_elogd_CVE-2016-6342_fix to fix posting entry as
    arbitrary username (Closes: #836505, CVE-2016-6342)

 -- Roger Kalt <roger.kalt@gmail.com>  Sat, 17 Sep 2016 20:22:36 +0200

elog (2.9.2+2014.05.11git44800a7-2) unstable; urgency=low

  * debian/control:
    - fckeditor is no longer required but only suggested
    - Standards-Version to 3.9.6

 -- Roger Kalt <roger.kalt@gmail.com>  Thu, 23 Oct 2014 20:00:00 +0200

elog (2.9.2+2014.05.11git44800a7-1) unstable; urgency=low

  * Reintroduction into Debian (Closes: #748800)
  * New upstream release grabbed from git repository
  * KRB5 Kerberos authentication and SSL are enabled in the Debian binaries

 -- Roger Kalt <roger.kalt@gmail.com>  Sun, 11 May 2014 19:49:51 +0200

elog (2.6.3+r1764-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in postinst script (Closes: #472224)
  * debian/control:
    - Bump Standards-Version to 3.7.3.
    - Use Homepage: field for upstream URL.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 12 Apr 2008 04:28:55 +0100

elog (2.6.3+r1764-1) unstable; urgency=low

  * New upstream release grabbed from Subversion (r1764).

 -- Recai Oktaş <roktas@debian.org>  Wed, 29 Nov 2006 01:36:26 +0200

elog (2.6.2+r1754-1) unstable; urgency=low

  * New upstream release grabbed from Subversion (r1754), includes
    fixes for a bunch of security issues[1]:
    + Fixes from Ulf Harnhammar (Debian Security Audit Project):
      - There are some incorrect handling of *printf() calls and format
        strings. They lead to ELOG crashing completely, with the potential
        of executing arbitrary machine code programs, when a user uploads
        and submits as the first attachment in an entry a file called
        "%n%n%n%n" - or similar - which must not be empty.
      - There is a Cross-site Scripting issue when requesting correctly
        named but non-existant files for downloading.
      - There are also Cross-site Scripting issues when creating new
        entries with New. If a document sends data to ELOG where the fields
        Type and Category contain invalid entries with HTML code, the
        resulting error document will print the Type or Category data as-is
        with no quoting.
    + Fixes from OS2A team (credits go to Jayesh KS and Arun Kethipelly):
      - Remote exploitation of a denial of service vulnerability in ELOG's
        elogd server allows attackers to crash the service, thereby
        preventing legitimate access.  (Closes: #397875)
    [1] Leaving #392016 open for the reasons stated in that report.

 -- Recai Oktaş <roktas@debian.org>  Sat, 11 Nov 2006 19:47:39 +0200

elog (2.6.2+r1719-1) unstable; urgency=critical

  * Urgency set to critical because of the security issues.
  * New upstream release grabbed from Subversion (r1719).
    + Fix an XSS vulnerability, which occurs when editing a log entry
      in HTML mode.  (Closes: #389361)

 -- Recai Oktaş <roktas@debian.org>  Thu, 28 Sep 2006 01:36:38 +0300

elog (2.6.1+r1695-0unofficial) unstable; urgency=low

  * Improve README.Debian, (thanks K. David Prince).
  * New upstream release.

 -- Recai Oktaş <roktas@debian.org>  Thu,  6 Jul 2006 14:54:48 +0300

elog (2.6.1+r1642-1) unstable; urgency=critical

  * New upstream release grabbed from Subversion (r1642).
    + Really fix the security issue CVE-2005-4439.
  * Sigh!  Previous upload has some flaws:
    + Install elcode.js and other resoure files.  ElCode editor buttons
      should work now (thanks K. David Prince).
    + debian/update: Modify it to catch such sort of errors.
    + Really remove debian/watch.
    + Fix the pbuilder DEBEMAIL field which made the previous upload appear 
      as an NMU.
  * Add a Debian spesific note about the usage of password files in Elog.
  * Urgency set to critical for security fix.

 -- Recai Oktaş <roktas@debian.org>  Fri, 27 Jan 2006 10:27:44 +0200

elog (2.6.1+r1638-1) unstable; urgency=critical

  * New upstream release grabbed from Subversion (r1638).  Fix serious 
    security bugs (thanks to Florian Weimer).  (Closes: #349528)
    + "Do not distinguish between invalid user name and invalid password
       for security reasons"
    + "Fixed infinite redirection with ?fail=1"
    + "Prohibit '..' in URLs" [CVE-2006-0347]
    + "Fixed potential buffer overflows" [CVE-2005-4439]
    + "Added IP address to log file"
  * Urgency set to critical because of the security issues.
  * Upstream code has been migrated to Subversion.  Change package naming 
    scheme so as to track Subversion releases, instead of CVS.
  * Use Subversion exports as pristine sources directly.  In the older 
    versions, we used to rely on the upstream's build script.
  * debian/postrm: Purge cleanly even no logbook has been created.  This 
    situation occurs, for example, when elog is tested with piuparts.  It's 
    because, in fact, elogd can not dynamically create logbooks/demo in 
    postinst stage.  (Closes: #339958)
  * debian/control: Bump Standarts-Version to 3.6.2.
  * debian/rules: Add -lutil to LIBS.
  * debian/update: New utility for easy updates. 
  * debian/watch: Remove unneeded file.

 -- Recai Oktaş <roktas@debian.org>  Thu, 26 Jan 2006 21:45:44 +0200

elog (2.6.0beta2+r1716-1) unstable; urgency=low

  * New upstream beta release with the latest changes from CVS (r1.1716).
    + Features a simple markup called ELCode, a special set of tags to
      format an ELOG entry.  The ELCode tags are similar to the BBCode
      tags (phpBB), sometimes also referred as vB code.
  * Add Turkish ELOG translation.
  * Apply a patch to suppress GCC4-related signedness warnings.
  * debian/control:

