=== debian/control ===
Source: elog
Section: web
Priority: optional
Maintainer: Roger Kalt <roger.kalt@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libssl-dev, libkrb5-dev
Standards-Version: 3.9.6
Homepage: http://midas.psi.ch/elog

Package: elog
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, net-tools
Recommends: imagemagick
Suggests: fckeditor
Description: Logbook system to manage notes through a Web interface
 The Electronic Logbook (ELOG) provides a Web interface to manage notes.  Its
 general purpose is to make it easy for people to put and access information
 online; in the form of short, time stamped text messages with optional HTML
 markup for presentation, and optional file attachments.  ELOG has its own
 daemon, there is no need for a full-fledged server (e.g. Apache).  It stores
 notes as simple as plain text; no special formatting.  Its features:
 .
   * Personal logbooks: Personal notes can be written into ELOG and can then be
     retrieved from anywhere with a Web browser.
   * Shared logbooks: Logbooks can be shared by several people, for reading and
     optionally for writing.  Work groups can share and exchange information
     like in a (simplified) news group.
   * Small databases: Since arbitrary attributes can be defined for a logbook,
     it can be used as a small database with search facilities.
   * Problem collections: A system can consist of two logbooks, in one of which
     users enter bugs or problems.  Whenever someone adds a problem, an email
     is automatically sent to the administrator.
   * Shift logbooks: If the Allow delete and Allow edit flags are off, an entry
     cannot be modified once it's been entered.  This can be useful for shift
     logbooks for example in Physics experiments where each entry becomes a
     "document" with a time and author stamp.
   * File collections: Since files can be attached to ELOG entries, the system
     can be used to store and retrieve files.
