=== debian/watch ===
# See uscan(1) for format

version=3
http://midas.psi.ch/elog/download/tar/elog-(\d\S*)\.tar\.gz
