## elog 3.1.0-2

=== debian/changelog ===
elog (3.1.0-2-1) unstable; urgency=low

  * new upstream version grabbed
  * debian/control:
    - libjs-jquery is required
    - fckeditor is no longer suggested but now ckeditor is recommended
  * debian/patches:
    - correct 0004_Makefile.patch in order KRB5 auth is enabled in elogd
    - add 0005_ReproducibleBuilds.patch to allow reproducible builds
  * debian/postinst:
    - add pathfind shell function proposed in Debian's Developer's Reference
  * debian/prerm:
    - add pathfind shell function proposed in Debian's Developer's Reference

 -- Roger Kalt <roger.kalt@gmail.com>  Thu, 7 May 2015 20:00:00 +0100
