## elog 3.1.1-1

=== debian/changelog ===
elog (3.1.1-1-1) unstable; urgency=low

  * new upstream version grabbed
  * debian/patches:
     - update 0004_Makefile.patch to fix file permission in themes
     - update 0005_ReproducibleBuilds.patch for new upstream version
  * debian/copyright updated for new CKEditor version config file
  * debian/source/lintian-overrides updated

 -- Roger Kalt <roger.kalt@gmail.com>  Thu, 05 Nov 2015 22:00:00 +0100
