=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
 
 Package: elog
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, net-tools
-Recommends: imagemagick
-Suggests: fckeditor
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, net-tools, libjs-jquery
+Recommends: imagemagick, ckeditor
 Description: Logbook system to manage notes through a Web interface
  The Electronic Logbook (ELOG) provides a Web interface to manage notes.  Its
  general purpose is to make it easy for people to put and access information
