=== debian/rules ===
--- 
+++ 
@@ -102,12 +102,12 @@
 
 # Get most current orig source from PSI ELOG FTP server and do the repacking automatically.
 # The ORIG_VERSION must be set manually.
-ORIG_VERSION=3.1.0-2
+ORIG_VERSION=3.1.1-1
 get-orig-source:
 	wget -q http://midas.psi.ch/elog/download/tar/elog-$(ORIG_VERSION).tar.gz
 	tar xzf ./elog-$(ORIG_VERSION).tar.gz
 	# rename elog folder
-	mv ./elog-3.1.0 ./elog-$(ORIG_VERSION)
+	mv ./elog-3.1.1 ./elog-$(ORIG_VERSION)
 	# move mxml/* into elog/src
 	mv ./mxml/* ./elog-$(ORIG_VERSION)/src
 	# delete embedded source of CKeditor coming from upstream
